# Work From Home

## Accessing the office via VPN

- VPN access works using Enigma login and password
- Must be added to the `Office VPN` access group on `Central`
- Will need to use `Fortinet` client.
	- Browser baed plug-in may work at https://82.71.186.69:10443/

## Connecting

Connection Type
: SSL-VPN
Server IP
: 82.71.186.69
Port Number
: 10443

## Accessing PC via Remote Desktop

- Hostname should resolve, if not, then connect to 10.11.11.60
	- The last digits can be found via `ipconfig` in CMD
- For the username, use `Enigma\username`


## Accessing Network Drives

P(roject) Drive
: Office Mapping -> \\central\projects
: VPN Mapping -> \\central.enigma.lan\projects or \\10.11.11.10\Projects

A(rchive) Drive
: Office Mapping -> \\foal\archive
: VPN Mapping -> \\foal.enigma.lan\archive

Z (art) Drive
: Office Mapping -> \\foal\art
: VPN Mapping -> \\foal.enigma.lan\art

## Accessing JIRA/Confluence

JIRA
: https://track.enigma-interactive.co.uk/

Confluence
: https://enigma-interactive.atlassian.net/

## Wake on Lan

TODO: do this tomorrow first thing

## Wake via web interface

- Once connected with the VPN:
	- https://moho.enigmacore.net/wake-on-lan/[machine name]
	- https://moho.enigmacore.net/wake-on-lan/[mac address]

## Waking via Desktop

- To send the WOL magic packet, you'll need to be connected either to the local network or via the VPN
- The guide specifies using https://depicus.com/wake-on-lan/
- Regardless of choice the following is needed:
	- Mac Address: `10-98-19-28-2F-76`
	- IP Address: neptune.enigma.lan
	- Subnet Mask: 255.255.255.255
	- Port: 9

## Linux !

- The package to be used is `openfortivpn`
- It can be used with the following command:
	- `suod openfortivpn --host=[server ip] --port=[server port] --username=[username] --password=[password]`
- However, it is better to use the available config at `/etc/openfortivpn/config`

```
# config file for openfortivpn, see man openfortivpn(1)
host = [server ip]
port = [server port]
username = [username]
trusted-cert = [sha256sum]
```
- DO NOT PUT PASSWORD HERE
- For username, typically it'd be `Enigma\[username]` but here, just `[username]` is fine.
- For the `trusted-cert`, run `sudo openfortivpn -v`, errors will come up and the `[sha256sum]` should be available from here.

- For a remote desktop client, `Remmina` is what is recommended.

## Links

- https://enigma-interactive.atlassian.net/wiki/spaces/KB/pages/21595190/Office+VPN+Access
- https://enigma-interactive.atlassian.net/wiki/spaces/KB/pages/90702133/Multi-Factor+Authentication+Setup
- https://enigma-interactive.atlassian.net/wiki/spaces/KB/pages/21601533/Office+VPN+using+a+FortiClient+alternative+-+Linux+-+Kubuntu+-+Debian
